/*
 * Copyright 2005-2007 Noelios Consulting.
 * 
 * The contents of this file are subject to the terms of the Common Development
 * and Distribution License (the "License"). You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at
 * http://www.opensource.org/licenses/cddl1.txt See the License for the specific
 * language governing permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL HEADER in each file and
 * include the License file at http://www.opensource.org/licenses/cddl1.txt If
 * applicable, add the following below this CDDL HEADER, with the fields
 * enclosed by brackets "[]" replaced with your own identifying information:
 * Portions Copyright [yyyy] [name of copyright owner]
 */

package com.blinksale.resource;

import javax.rws.Representation;
import javax.rws.Variable;
import javax.rws.ApplicationClass;

import com.blinksale.domain.Account;
import com.blinksale.domain.Accounts;

/**
 * Root resource corresponding to a BlinkSale user account.
 * 
 * @author Jerome Louvel (contact@noelios.com)
 */
@ApplicationClass(Application.class)
public class AccountResource {

    private Account account;

    public AccountResource() {
        @Variable("blinksale_id")
        String blinksaleId = null;

        this.account = Accounts.getInstance(blinksaleId);
    }

    @Representation
    public Account getAccount() {
        return account;
    }

}
