/*
 * Copyright 2005-2007 Noelios Consulting.
 * 
 * The contents of this file are subject to the terms of the Common Development
 * and Distribution License (the "License"). You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at
 * http://www.opensource.org/licenses/cddl1.txt See the License for the specific
 * language governing permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL HEADER in each file and
 * include the License file at http://www.opensource.org/licenses/cddl1.txt If
 * applicable, add the following below this CDDL HEADER, with the fields
 * enclosed by brackets "[]" replaced with your own identifying information:
 * Portions Copyright [yyyy] [name of copyright owner]
 */

package com.blinksale.resource;

import javax.rws.Variable;
import javax.rws.Representation;
import javax.rws.ResourceRef;

import com.blinksale.domain.Client;

/**
 * Resource associated to an invoiced client.
 * 
 * @author Jerome Louvel (contact@noelios.com)
 */
@ResourceRef("/clients/{client_id}")
public class ClientResource extends AccountResource {

    private Client client;

    public ClientResource(@Variable("client_id")
    String clientId) {
        // Lookup client by its ID
        this.client = getAccount().getClientById(clientId);
    }

    @Representation
    public Client getClient() {
        return this.client;
    }

    public void put(@Representation Client client) {
        // Update the client
        if (client.getAddress1() != null) {
            getClient().setAddress1(client.getAddress1());
        }

        // ...
    }

    public void delete() {
        getAccount().getClients().remove(getClient());
    }

}
