/*
 * Copyright 2005-2007 Noelios Consulting.
 * 
 * The contents of this file are subject to the terms of the Common Development
 * and Distribution License (the "License"). You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at
 * http://www.opensource.org/licenses/cddl1.txt See the License for the specific
 * language governing permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL HEADER in each file and
 * include the License file at http://www.opensource.org/licenses/cddl1.txt If
 * applicable, add the following below this CDDL HEADER, with the fields
 * enclosed by brackets "[]" replaced with your own identifying information:
 * Portions Copyright [yyyy] [name of copyright owner]
 */

package com.blinksale.resource;

import java.util.List;

import javax.rws.Variable;
import javax.rws.Representation;
import javax.rws.ResourceRef;

import com.blinksale.domain.Client;

/**
 * Resource managing the list of clients for a BlinkSale account.
 * 
 * @author Jerome Louvel (contact@noelios.com)
 */
@ResourceRef("/clients")
public class ClientsResource extends AccountResource {

    @Representation
    public List<Client> getClients() {
        return getAccount().getClients();
    }

    public void post(@Representation Client client) {
        // Inject client ID from attributes map
        @Variable("client_id")
        String clientId = null;

        // Set client ID which is not part of the representation
        client.setId(clientId);

        // Add the new client
        getClients().add(client);
    }

}
